SystemOrganization addCategory: #FuelTestsCompatibilityBeforePharo21!

!Class methodsFor: '*FuelTestsCompatibilityBeforePharo21' stamp: 'MaxLeske 12/29/2012 23:34'!
renameSilently: aName
	SystemAnnouncer uniqueInstance suspendAllWhile: [
		self rename: aName.
	]! !

!ClassFactoryForTestCase methodsFor: '*FuelTestsCompatibilityBeforePharo21' stamp: 'MaxLeske 12/29/2012 23:10'!
silentlyNewSubclassOf: aClass instanceVariableNames: ivNamesString classVariableNames:  classVarsString category: category

	| default newClass |
	SystemAnnouncer uniqueInstance suspendAllWhile: [
		newClass := aClass 
			subclass: self newName 
			instanceVariableNames: ivNamesString 
			classVariableNames: classVarsString 
			poolDictionaries: '' 
			category: (self packageName, '-', category) asSymbol.
	].

	self createdClasses add: newClass.
	^newClass
	! !

!ClassFactoryForTestCase methodsFor: '*FuelTestsCompatibilityBeforePharo21' stamp: 'MaxLeske 12/29/2012 23:10'!
silentlyNewSubclassOf: aClass instanceVariableNames: ivNamesString classVariableNames:  classVarsString package: packageName

	| default newClass |
	SystemAnnouncer uniqueInstance suspendAllWhile: [
		newClass := aClass 
			subclass: self newName 
			instanceVariableNames: ivNamesString 
			classVariableNames: classVarsString 
			poolDictionaries: '' 
			category: packageName asSymbol.
	].

	self createdClasses add: newClass.
	^newClass
	! !

!Trait methodsFor: '*FuelTestsCompatibilityBeforePharo21' stamp: 'MaxLeske 12/29/2012 23:16'!
renameSilently: aName
	SystemAnnouncer uniqueInstance suspendAllWhile: [
		self rename: aName.
	]! !

!FLBlockClosureSerializationTest methodsFor: '*FuelTestsCompatibilityBeforePharo21' stamp: 'MaxLeske 12/29/2012 23:13'!
testCleanCachedBlockClosure
! !

!FLBlockClosureSerializationTest methodsFor: '*FuelTestsCompatibilityBeforePharo21' stamp: 'MaxLeske 12/29/2012 23:12'!
testUncleanCachedBlockClosure! !

!FLSerializationTest methodsFor: '*FuelTestsCompatibilityBeforePharo21' stamp: 'MaxLeske 8/21/2015 23:47'!
newSubclassNamed: nameString of: aClass  instanceVariableNames: ivNamesString classVariableNames: classVarsString
	| class |
	SystemAnnouncer uniqueInstance suspendAllWhile: [
		class := aClass
			subclass: nameString asSymbol
			instanceVariableNames: ivNamesString
			classVariableNames:  classVarsString
			poolDictionaries: ''
			category: self classFactory defaultCategory
	].
	self classFactory createdClasses add: class.
	^ class! !
